set(MOC_H_FILES
  src/internal/berryWorkbenchPlugin.h
  src/internal/intro/berryEditorIntroAdapterPart.h
  src/berryWorkbenchPart.h
  src/berryEditorPart.h
  src/berryViewPart.h
  src/intro/berryIntroPart.h
)

set(CACHED_RESOURCE_FILES
  plugin.xml
)

set(SRC_CPP_FILES
  berryAbstractSourceProvider.cpp
  berryAbstractUIPlugin.cpp
  berryAbstractUICTKPlugin.cpp
  berryConstants.cpp
  berryDisplay.cpp
  berryEditorPart.cpp
  berryFileEditorInput.cpp
  berryGeometry.cpp
  berryIDropTargetListener.cpp
  berryIEditorDescriptor.cpp
  berryIEditorInput.cpp
  berryIEditorMatchingStrategy.cpp
  berryIEditorPart.cpp
  berryIEditorReference.cpp
  berryIEditorRegistry.cpp
  berryIEditorSite.cpp
  berryIFileEditorMapping.cpp
  berryIFolderLayout.cpp
  berryImageDescriptor.cpp
  berryIMemento.cpp
  berryINullSelectionListener.cpp
  berryIPageLayout.cpp
  berryIPartListener.cpp
  berryIPageService.cpp
  berryIPartService.cpp
  berryIPathEditorInput.cpp
  berryIPerspectiveDescriptor.cpp
  berryIPerspectiveFactory.cpp
  berryIPerspectiveListener.cpp
  berryIPerspectiveRegistry.cpp
  berryIPlaceholderFolderLayout.cpp
  berryIPostSelectionProvider.cpp
  berryIPreferencePage.cpp
  berryIPropertyChangeListener.cpp
  berryIReusableEditor.cpp
  berryISaveablePart.cpp
  berryISaveablesLifecycleListener.cpp
  berryISaveablesSource.cpp
  berryISelection.cpp
  berryISelectionChangedListener.cpp
  berryISelectionListener.cpp
  berryISelectionProvider.cpp
  berryISelectionService.cpp
  berryIShellListener.cpp
  berryIShellProvider.cpp
  berryISizeProvider.cpp
  berryISourceProvider.cpp
  berryISourceProviderListener.cpp
  berryISources.cpp
  berryIStickyViewDescriptor.cpp
  berryIStructuredSelection.cpp
  berryIViewCategory.cpp
  berryIViewDescriptor.cpp
  berryIViewLayout.cpp
  berryIViewPart.cpp
  berryIViewReference.cpp
  berryIViewRegistry.cpp
  berryIViewSite.cpp
  berryIWindowListener.cpp
  berryIWorkbench.cpp
  berryIWorkbenchListener.cpp
  berryIWorkbenchPage.cpp
  berryIWorkbenchPart.cpp
  berryIWorkbenchPartConstants.cpp
  berryIWorkbenchPartDescriptor.cpp
  berryIWorkbenchPartReference.cpp
  berryIWorkbenchPartSite.cpp
  berryIWorkbenchSite.cpp
  berryIWorkbenchWindow.cpp
  berryPlatformUI.cpp
  berryPoint.cpp
  berryPropertyChangeEvent.cpp
  berryRectangle.cpp
  berrySameShellProvider.cpp
  berrySaveable.cpp
  berrySaveablesLifecycleEvent.cpp
  berrySelectionChangedEvent.cpp
  berryShell.cpp
  berryShellEvent.cpp
  berryUIException.cpp
  berryViewPart.cpp
  berryWindow.cpp
  berryWorkbenchPart.cpp
  berryWorkbenchPreferenceConstants.cpp
  berryXMLMemento.cpp

  #application
  application/berryActionBarAdvisor.cpp
  application/berryIActionBarConfigurer.cpp
  application/berryIWorkbenchConfigurer.cpp
  application/berryIWorkbenchWindowConfigurer.cpp
  application/berryWorkbenchAdvisor.cpp
  application/berryWorkbenchWindowAdvisor.cpp

  #commands
  #commands/berryAbstractContributionFactory.cpp
  #commands/berryCommandContributionItem.cpp
  #commands/berryCommandContributionItemParameter.cpp
  #commands/berryContributionItem.cpp
  #commands/berryContributionManager.cpp
  #commands/berryICommandImageService.cpp
  #commands/berryICommandService.cpp
  #commands/berryIContributionManagerOverrides.cpp
  #commands/berryIMenuItem.cpp
  #commands/berryIMenuItemListener.cpp
  #commands/berryIMenuListener.cpp
  #commands/berryIToolItemListener.cpp
  #commands/berryIUIElementListener.cpp
  #commands/berryMenuManager.cpp
  #commands/berrySubContributionItem.cpp
  #commands/berryUIElement.cpp

  #dialogs
  dialogs/berryIDialog.cpp
  dialogs/berryIShowViewDialog.cpp
  dialogs/berryMessageDialog.cpp

  #guitk
  guitk/berryGuiTkControlEvent.cpp
  guitk/berryGuiTkEvent.cpp
  guitk/berryGuiTkIControlListener.cpp
  guitk/berryGuiTkIMenuListener.cpp
  guitk/berryGuiTkISelectionListener.cpp
  guitk/berryGuiTkSelectionEvent.cpp

  #handlers
  handlers/berryHandlerUtil.cpp
  handlers/berryIHandlerActivation.cpp
  handlers/berryIHandlerService.cpp
  handlers/berryShowViewHandler.cpp

  #src
  intro/berryIIntroManager.cpp
  intro/berryIntroPart.cpp
  intro/berryIIntroPart.cpp
  intro/berryIIntroSite.cpp

  #services
  services/berryIDisposable.cpp
  services/berryINestable.cpp
  services/berryIServiceFactory.cpp
  services/berryIServiceLocator.cpp
  services/berryIServiceWithSources.cpp

  #tweaklets
  tweaklets/berryDnDTweaklet.cpp
  tweaklets/berryGuiWidgetsTweaklet.cpp
  tweaklets/berryImageTweaklet.cpp
  tweaklets/berryMessageDialogTweaklet.cpp
  tweaklets/berryITracker.cpp
  tweaklets/berryWorkbenchPageTweaklet.cpp
  tweaklets/berryWorkbenchTweaklet.cpp

  #presentations
  presentations/berryIPresentablePart.cpp
  presentations/berryIPresentationFactory.cpp
  presentations/berryIPresentationSerializer.cpp
  presentations/berryIStackPresentationSite.cpp
  presentations/berryStackDropResult.cpp
  presentations/berryStackPresentation.cpp

  #testing
  testing/berryTestableObject.cpp

  #util
  util/berryISafeRunnableRunner.cpp
  util/berrySafeRunnable.cpp

)


set(INTERNAL_CPP_FILES

  #intro
  intro/berryEditorIntroAdapterPart.cpp
  intro/berryIIntroDescriptor.cpp
  intro/berryIIntroRegistry.cpp
  intro/berryIntroConstants.cpp
  intro/berryIntroDescriptor.cpp
  intro/berryIntroPartAdapterSite.cpp
  intro/berryIntroRegistry.cpp
  intro/berryViewIntroAdapterPart.cpp
  intro/berryWorkbenchIntroManager.cpp

  berryAbstractPartSelectionTracker.cpp
  berryAbstractSelectionService.cpp
  berryBundleUtility.cpp
  berryContainerPlaceholder.cpp
  berryDetachedPlaceHolder.cpp
  berryDefaultSaveable.cpp
  berryDefaultStackPresentationSite.cpp
  berryDetachedWindow.cpp
  berryDragUtil.cpp
  berryEditorAreaHelper.cpp
  berryEditorDescriptor.cpp
  berryEditorManager.cpp
  berryEditorReference.cpp
  berryEditorRegistry.cpp
  berryEditorRegistryReader.cpp
  berryEditorSashContainer.cpp
  berryEditorSite.cpp
  berryErrorViewPart.cpp
  berryFileEditorMapping.cpp
  berryFolderLayout.cpp
  berryIDragOverListener.cpp
  berryIDropTarget.cpp
  berryIEvaluationResultCache.cpp
  berryIEvaluationResultCache.cpp
  berryILayoutContainer.cpp
  berryIServiceLocatorCreator.cpp
  berryIStickyViewManager.cpp
  berryIWorkbenchLocationService.cpp
  berryIWorkbenchLocationService.cpp
  berryLayoutHelper.cpp
  berryLayoutPart.cpp
  berryLayoutPartSash.cpp
  berryLayoutTree.cpp
  berryLayoutTreeNode.cpp
  berryNullEditorInput.cpp
  berryPageLayout.cpp
  berryPagePartSelectionTracker.cpp
  berryPageSelectionService.cpp
  berryPartList.cpp
  berryPartPane.cpp
  berryPartPlaceholder.cpp
  berryPartSashContainer.cpp
  berryPartService.cpp
  berryPartSite.cpp
  berryPartStack.cpp
  berryPartTester.cpp
  berryPerspective.cpp
  berryPerspectiveDescriptor.cpp
  berryPerspectiveExtensionReader.cpp
  berryPerspectiveHelper.cpp
  berryPerspectiveRegistry.cpp
  berryPerspectiveRegistryReader.cpp
  berryPlaceholderFolderLayout.cpp
  berryPreferenceConstants.cpp
  berryPresentablePart.cpp
  berryPresentationFactoryUtil.cpp
  berryPresentationSerializer.cpp
  berryQtControlWidget.cpp
  berryQtDnDControlWidget.cpp
  berryQtWidgetController.cpp
  berryRegistryReader.cpp
  berrySaveablesList.cpp
  berryServiceLocator.cpp
  berryServiceLocatorCreator.cpp
  berryShellPool.cpp
  berrySourcePriorityNameMapping.cpp
  berryStickyViewDescriptor.cpp
  berryStickyViewManager.cpp
  berryTweaklets.cpp
  berryViewDescriptor.cpp
  berryViewFactory.cpp
  berryViewLayout.cpp
  berryViewReference.cpp
  berryViewRegistry.cpp
  berryViewRegistryReader.cpp
  berryViewSashContainer.cpp
  berryViewSite.cpp
  berryWorkbenchPage.cpp
  berryWindowManager.cpp
  berryWindowPartSelectionTracker.cpp
  berryWindowSelectionService.cpp
  berryWorkbench.cpp
  berryWorkbenchConfigurer.cpp
  berryWorkbenchConstants.cpp
  berryWorkbenchPagePartList.cpp
  berryWorkbenchPartReference.cpp
  berryWorkbenchPlugin.cpp
  berryWorkbenchRegistryConstants.cpp
  berryWorkbenchServiceRegistry.cpp
  berryWorkbenchTestable.cpp
  berryWorkbenchWindow.cpp
  berryWorkbenchWindowConfigurer.cpp
  berryWWinPartService.cpp
)

set(CPP_FILES )

foreach(file ${SRC_CPP_FILES})
  set(CPP_FILES ${CPP_FILES} src/${file})
endforeach(file ${SRC_CPP_FILES})

foreach(file ${INTERNAL_CPP_FILES})
  set(CPP_FILES ${CPP_FILES} src/internal/${file})
endforeach(file ${INTERNAL_CPP_FILES})
